using Mall.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mall.Common.Enum.Customer
{
    /// <summary>
    /// 客户职务枚举
    /// </summary>
    public enum CustomerLogTypeEnum
    {
        /// <summary>
        /// 客户
        /// </summary>
        [EnumField("客户")]
        Customer = 1,
        /// <summary>
        /// 任务
        /// </summary>
        [EnumField("任务")]
        Task = 2,
        /// <summary>
        /// 商机
        /// </summary>
        [EnumField("商机")]
        BusinessOpportunity = 3,
        /// <summary>
        /// 合同
        /// </summary>
        [EnumField("合同")]
        Contract = 4,
        /// <summary>
        /// 联系人
        /// </summary>
        [EnumField("联系人")]
        Contacts = 5,
        /// <summary>
        /// 回款
        /// </summary>
        [EnumField("回款")]
        MoneyBack = 6,
        /// <summary>
        /// 日志
        /// </summary>
        [EnumField("日志")]
        Journal = 7,
        /// <summary>
        /// 审批
        /// </summary>
        [EnumField("审批")]
        Approval = 8,
        /// <summary>
        /// 操作记录
        /// </summary>
        [EnumField("操作记录")]
        Operation = 9,
    }
}
